#
# qmake configuration for Maemo 5 & 6
#

MAKEFILE_GENERATOR      = UNIX
TARGET_PLATFORM         = unix
TEMPLATE                = app
CONFIG                 += qt warn_on release incremental link_prl
CONFIG                 += nostrip
QT                     += core gui
QMAKE_INCREMENTAL_STYLE = sublib

include(../common/g++.conf)
include(../common/linux.conf)


# Override the default lib/include directories for scratchbox:
QMAKE_INCDIR_X11      = /usr/include/X11
QMAKE_INCDIR_OPENGL   = /usr/include
QMAKE_LIBDIR_X11      = /usr/lib
QMAKE_LIBDIR_OPENGL   = /usr/lib

# We still need to generate debug symbols in release mode to put into the *-dbg packages:
QMAKE_CFLAGS_RELEASE    += -g -Wno-psabi
QMAKE_CXXFLAGS_RELEASE  += -g -Wno-psabi

load(qt_config)
